Debian Bug report logs - #355130
Please consider this patch, that adds the ability to cross-compile your package

version graph

Package: busybox; Maintainer for busybox is Debian Install System Team <debian-boot@lists.debian.org>; Source for busybox is src:busybox.

Reported by: Pjotr Kourzanov <peter.kourzanov@xs4all.nl>

Date: Fri, 3 Mar 2006 14:33:22 UTC

Severity: wishlist

Tags: patch

Merged with 465290, 466857, 572431

Found in versions busybox/1:1.1.3-5, busybox/1:1.14.2-2

Fixed in version busybox/1:1.19.2-1

Done: Michael Tokarev <mjt@tls.msk.ru>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#355130; Package busybox-static. Full text and rfc822 format available.

Acknowledgement sent to Pjotr Kourzanov <peter.kourzanov@xs4all.nl>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pjotr Kourzanov <peter.kourzanov@xs4all.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please consider this patch, that adds the ability to cross-compile your package
Date: Fri, 03 Mar 2006 15:15:27 +0100
Package: busybox-static
Severity: wishlist
Tags: patch

--- busybox-1.01/debian/rules	2006-03-03 14:41:03.000000000 +0100
+++ busybox-1.01-4.my/debian/rules	2006-02-24 15:36:32.000000000 +0100
@@ -34,7 +34,7 @@
 CONFIG_FLOPPY_UDEB = $(call CONFIG,floppy-udeb)
 
 config.status: configure
-	sh ./configure
+	sh ./configure --host=$(DEB_HOST_GNU_TYPE)
 
 build-arch: build-arch-deb-all build-arch-udeb-all
 build-arch-deb-all: build-arch-deb build-arch-static

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13-rc3
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)




Bug reassigned from package `busybox-static' to `busybox'. Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. (Mon, 24 Mar 2008 13:36:14 GMT) Full text and rfc822 format available.

Merged 355130 465290. Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. (Mon, 24 Mar 2008 13:36:15 GMT) Full text and rfc822 format available.

Merged 355130 465290 466857. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sun, 16 Jan 2011 19:03:03 GMT) Full text and rfc822 format available.

Merged 355130 465290 466857 572431. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Fri, 28 Jan 2011 21:33:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Sat, 13 Aug 2011 09:27:23 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Nov 2011 07:34:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:01:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.